Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

Problem to install postgresql odbc driver to configure ambari

avatar

Hi guys, I'm trying to install ambari, but I'm having problems with the postgresql driver. I am doing an installation without internet, so I downloaded the packages needed for this task. Here's the mistake I'm having, have anyone been through this?

]# whereis java

java: /usr/bin/java /usr/share/man/man1/java.1

]# rpm -Uhv jpackage-utils-5.0.0-7.2.src.rpm

warning: jpackage-utils-5.0.0-7.2.src.rpm: Header V3 DSA/SHA1 Signature, key ID abde7ce2: NOKEY Updating / installing... 1:jpackage-utils-0:5.0.0-7.2 ################################# [100%]

]# rpm -Uhv postgresql-jdbc-9.2.1002-5.el7.noarch.rpm

warning: postgresql-jdbc-9.2.1002-5.el7.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY error: Failed dependencies: jpackage-utils is needed by postgresql-jdbc-9.2.1002-5.el7.noarch

]# Write failed: Connection reset by peer

1 ACCEPTED SOLUTION

avatar
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
3 REPLIES 3

avatar
Explorer

So JDBC ships with Ambari server be default I believe.

look into /var/lib/ambari-server/resoruces you will find the JDBC there I believe

If not use this page to down the JDBC

https://jdbc.postgresql.org/download.html

avatar
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login

avatar
thanks for the tip, helped me to get the answer.